#include "CoreArchiveVignetteEntryButtonWidget.h"
#include "ArchivesVignetteEntryViewData.h"

void UCoreArchiveVignetteEntryButtonWidget::SetData(const int32 entryNumber, const FArchivesVignetteEntryViewData& entryData)
{

}

void UCoreArchiveVignetteEntryButtonWidget::OnButtonUnhovered() const
{

}

void UCoreArchiveVignetteEntryButtonWidget::OnButtonHovered() const
{

}

int32 UCoreArchiveVignetteEntryButtonWidget::GetEntryNumber() const
{
	return 0;
}

UCoreArchiveVignetteEntryButtonWidget::UCoreArchiveVignetteEntryButtonWidget()
{
	this->HorizontalAlignment = ETooltipHorizontalAlignment::Default;
	this->VerticalAlignment = ETooltipVerticalAlignment::Default;
}
